slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPView

Prints the PEP data structure.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPView(PEP pep,PetscViewer viewer)

Collective

### Input Parameters

| pep | - the polynomial eigenproblem solver context
| viewer | - optional visualization context

### Options Database Key

| -pep_view | - Calls PEPView() at end of PEPSolve()

### Note

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

The user can open an alternative visualization context with PetscViewerASCIIOpen() - output to a specified file.

### See Also

STView()

### Level

beginner

### Location

src/pep/interface/pepview.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages